startInstall();

function startInstall() {

	initInstall('Citations Installation', "citations", '0.1', 1);
	logComment('Citations: Installation Started');

	var chromeFolder   = getFolder('Profile', 'chrome');
	var userHomeFolder = getFolder('Current User');
	
	
	
	addFile('/citations.mozdev.org/citations', 'citations.jar', chromeFolder, '');

	addFile('/citations.mozdev.org/citations', 'citedb.rdf', userHomeFolder, '');
	
	
	
	if (checkStep('Extracting file - Check if you have the correct file permissions'))
		return;

	// registerChrome(CONTENT | DELAYED_CHROME, getFolder('chrome', 'citations.jar'), 'content/');
	registerChrome(CONTENT | PROFILE_CHROME, getFolder(chromeFolder, 'citations.jar'), 'content/');

	if (checkStep('Registering chrome - Check if you have the correct permissions to the chrome DB'))
		return;

	performInstall();

	if (checkStep('Installing'))
		return;

	alert("Citations DB has been installed in \n"+userHomeFolder+"\nPlease restart mozilla.");

	logComment('Citations: Well done! ;)');

}

function checkStep(msg) {
	var err = getLastError()

	if (err != SUCCESS) {
		logComment('Citations [FAILED] '+err+' while: '+msg);
		cancelInstall();

		alert('Installation is aborted ('+err+')');
		return true;
	}
	
}
